%define upstream_name    Class-Null
%define upstream_version 2.110730

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Implements the Null Class design pattern
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildArch: noarch

%description
This class implements the Null Class design pattern.

Suppose that methods in your object want to write log messages to a log
object. The log object is possibly stored in a slot in your object and can
be accessed using an accessor method:

  package MyObject;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.110.730-7.mga6
+ Revision: 1023988
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.110.730-6.mga6
+ Revision: 932575
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.110.730-5.mga5
+ Revision: 741765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.730-4.mga5
+ Revision: 683935
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.110.730-3.mga4
+ Revision: 510127
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.110.730-2.mga3
+ Revision: 364482
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 kharec <kharec> 2.110.730-1.mga2
+ Revision: 175061
- imported package perl-Class-Null


* Fri Dec 02 2011 cpan2dist 2.110730-1mga
- initial mageia release, generated with cpan2dist
